import { Router } from "express";
import { VehicleConfigController } from "./vehiclesConfig.controller";
import { authMiddleware } from "../auth/auth.middleware";

const vehicleConfigRouter = Router();

const controller = new VehicleConfigController();

vehicleConfigRouter.get("/", authMiddleware, controller.getAll);

vehicleConfigRouter.get("/:id", authMiddleware, controller.getById);

vehicleConfigRouter.post("/", authMiddleware, controller.create);

vehicleConfigRouter.put("/:id", authMiddleware, controller.update);

vehicleConfigRouter.delete("/:id", authMiddleware, controller.delete);

export default vehicleConfigRouter;